## wireshark 0.99.2

=== asn1/h225/Makefile ===
# $Id: Makefile 18199 2006-05-21 14:36:05Z kukosa $

DISSECTOR_FILES=packet-h225.c packet-h225.h

all: generate_dissector

generate_dissector: $(DISSECTOR_FILES)

$(DISSECTOR_FILES): ../../tools/asn2wrs.py h225.asn packet-h225-template.c packet-h225-template.h h225.cnf 
	python ../../tools/asn2wrs.py -e -p h225 -c h225.cnf -s packet-h225-template h225.asn

clean:
	rm -f parsetab.py $(DISSECTOR_FILES)

copy_files: generate_dissector
	cp $(DISSECTOR_FILES) ../../epan/dissectors

=== asn1/h245/Makefile ===
# $Id: Makefile 18199 2006-05-21 14:36:05Z kukosa $

DISSECTOR_FILES=packet-h245.c packet-h245.h

all: generate_dissector

generate_dissector: $(DISSECTOR_FILES)

$(DISSECTOR_FILES): ../../tools/asn2wrs.py packet-h245-template.c packet-h245-template.h h245.cnf
	python ../../tools/asn2wrs.py -e -p h245 -c h245.cnf -s packet-h245-template h245.asn

clean:
	rm -f parsetab.py $(DISSECTOR_FILES)

copy_files: generate_dissector
	cp $(DISSECTOR_FILES) ../../epan/dissectors

## wireshark 0.99.6rel

=== asn1/ansi_map/Makefile ===
# $Id: Makefile 22072 2007-06-11 05:28:18Z etxrab $

DISSECTOR_FILES=packet-ansi_map.c packet-ansi_map.h

all: generate_dissector

generate_dissector: $(DISSECTOR_FILES)

$(DISSECTOR_FILES): ../../tools/asn2wrs.py ansi_map.asn packet-ansi_map-template.c packet-ansi_map-template.h ansi_map.cnf
	python ../../tools/asn2wrs.py -b -X -T -e -p ansi_map -c ansi_map.cnf -s packet-ansi_map-template ansi_map.asn

clean:
	rm -f parsetab.py parsetab.pyc $(DISSECTOR_FILES)

copy_files: generate_dissector
	cp $(DISSECTOR_FILES) ../../epan/dissectors

=== asn1/ftam/Makefile ===
# $Id: Makefile 21895 2007-05-22 21:17:08Z etxrab $

DISSECTOR_FILES=packet-ftam.c packet-ftam.h

all: generate_dissector

generate_dissector: $(DISSECTOR_FILES)

$(DISSECTOR_FILES): ../../tools/asn2wrs.py ISO8571-FTAM.asn packet-ftam-template.c packet-ftam-template.h ftam.cnf
	python ../../tools/asn2wrs.py -b -X -T -e -p ftam -c ftam.cnf -s packet-ftam-template ISO8571-FTAM.asn

clean:
	rm -f parsetab.py $(DISSECTOR_FILES)

copy_files: generate_dissector
	cp $(DISSECTOR_FILES) ../../epan/dissectors

=== asn1/ftbp/Makefile ===
# $Id: Makefile 22103 2007-06-14 19:05:20Z etxrab $

DISSECTOR_FILES=packet-ftbp.c packet-ftbp.h

all: generate_dissector

generate_dissector: $(DISSECTOR_FILES)

$(DISSECTOR_FILES): ../../tools/asn2wrs.py ftbp.asn packet-ftbp-template.c packet-ftbp-template.h ftbp.cnf 
	python ../../tools/asn2wrs.py -b -X -T -e -p ftbp -c ftbp.cnf -s packet-ftbp-template  ftbp.asn

clean:
	rm -f parsetab.py $(DISSECTOR_FILES)

copy_files: generate_dissector
	cp $(DISSECTOR_FILES) ../../epan/dissectors

=== asn1/gsmmap/Makefile ===
# $Id: Makefile 22105 2007-06-15 16:20:35Z etxrab $

PROTOCOL_NAME=gsm_map
DISSECTOR_FILES=packet-$(PROTOCOL_NAME).c packet-$(PROTOCOL_NAME).h

DATATYPES_ASN_FILES=MAP-ExtensionDataTypes.asn MAP-CommonDataTypes.asn MAP-SS-DataTypes.asn MAP-ER-DataTypes.asn MAP-SM-DataTypes.asn MAP-OM-DataTypes.asn MAP-MS-DataTypes.asn MAP-CH-DataTypes.asn  MAP-LCS-DataTypes.asn MAP-GR-DataTypes.asn  
OPERATIONS_ASN_FILES=MAP-LocationServiceOperations.asn MAP-Group-Call-Operations.asn MAP-ShortMessageServiceOperations.asn MAP-SupplementaryServiceOperations.asn MAP-CallHandlingOperations.asn MAP-OperationAndMaintenanceOperations.asn MAP-MobileServiceOperations.asn
SS_ASN_FILES=SS-DataTypes.asn SS-Operations.asn
ROS_ASN= ../ros/Remote-Operations-Information-Objects.asn
ASN_FILE_LIST= $(ROS_ASN) MobileDomainDefinitions.asn MAP-ApplicationContexts.asn  MAP-SS-Code.asn MAP-BS-Code.asn MAP-TS-Code.asn $(DATATYPES_ASN_FILES) MAP-DialogueInformation.asn $(OPERATIONS_ASN_FILES) MAP-Protocol.asn GSMMAP.asn $(SS_ASN_FILES)

all: generate_dissector

generate_dissector: $(DISSECTOR_FILES)

$(DISSECTOR_FILES): ../../tools/asn2wrs.py $(ASN_FILE_LIST) packet-$(PROTOCOL_NAME)-template.c packet-$(PROTOCOL_NAME)-template.h gsmmap.cnf 
	python ../../tools/asn2wrs.py -b -X -T -k -e -c gsm_map.cnf -s packet-$(PROTOCOL_NAME)-template $(ASN_FILE_LIST)

clean:
	rm -f parsetab.py parsetab.pyc $(DISSECTOR_FILES)

copy_files: generate_dissector
	cp $(DISSECTOR_FILES) ../../epan/dissectors

=== asn1/inap/Makefile ===
# $Id: Makefile 22031 2007-06-03 19:58:59Z etxrab $

DISSECTOR_FILES=packet-inap.c packet-inap.h
DISSECTOR_FILES=packet-$(PROTOCOL_NAME).c packet-$(PROTOCOL_NAME).h
ROS_ASN= ../ros/Remote-Operations-Information-Objects.asn 
1248_1_ASN_FILES= IN-object-identifiers.asn IN-common-datatypes.asn
1248_2_ASN_FILES=IN-SSF-SCF-datatypes.asn IN-SSF-SCF-ops-args.asn
1248_3_ASN_FILES=IN-SCF-SRF-datatypes.asn IN-SCF-SRF-ops-args.asn
1248_CLASSES_ASN=IN-common-classes.asn IN-SSF-SCF-Classes.asn IN-SCF-SRF-Classes.asn
ASN_FILE_LIST=$(ROS_ASN) $(1248_CLASSES_ASN) inap.asn $(1248_1_ASN_FILES) $(1248_2_ASN_FILES) $(1248_3_ASN_FILES)

all: generate_dissector

generate_dissector: $(DISSECTOR_FILES)

$(DISSECTOR_FILES): ../../tools/asn2wrs.py $(ASN_FILE_LIST) packet-inap-template.c packet-inap-template.h inap.cnf 
	python ../../tools/asn2wrs.py -b -X -e -p inap -c inap.cnf -s packet-inap-template $(ASN_FILE_LIST)

clean:
	rm -f parsetab.py $(DISSECTOR_FILES)

copy_files: generate_dissector
	cp $(DISSECTOR_FILES) ../../epan/dissectors

=== asn1/mpeg/Makefile ===
# $Id: Makefile 21114 2007-03-22 11:43:07Z sahlberg $

DISSECTOR_FILES=packet-mpeg-audio.c packet-mpeg-pes.c

all: $(DISSECTOR_FILES)

clean:
	rm -f parsetab.py parsetab.pyc $(DISSECTOR_FILES)

copy_files: all
	cp $(DISSECTOR_FILES) ../../epan/dissectors

.PHONY: all clean copy_files

packet-%.c: ../../tools/asn2wrs.py %.asn %.cnf packet-%-template.c
	python ../../tools/asn2wrs.py -e -p $* -c $*.cnf -s packet-$*-template $*.asn

=== asn1/pkcs12/Makefile ===
# $Id: Makefile 20416 2007-01-13 15:26:13Z gal $

DISSECTOR_FILES=packet-pkcs12.c packet-pkcs12.h

all: generate_dissector

generate_dissector: $(DISSECTOR_FILES)

$(DISSECTOR_FILES): ../../tools/asn2wrs.py pkcs12.asn packet-pkcs12-template.c packet-pkcs12-template.h pkcs12.cnf ../cms/cms-exp.cnf ../x509af/x509af-exp.cnf ../x509if/x509if-exp.cnf
	python ../../tools/asn2wrs.py -b -e -p pkcs12 -c pkcs12.cnf -s packet-pkcs12-template pkcs12.asn

clean:
	rm -f parsetab.py $(DISSECTOR_FILES) *~

copy_files: generate_dissector
	cp $(DISSECTOR_FILES) ../../epan/dissectors

=== asn1/q932/Makefile ===
# $Id: Makefile 22055 2007-06-06 09:43:45Z kukosa $

PROTOCOL_NAME=q932
Q932_FILES=packet-$(PROTOCOL_NAME).c packet-$(PROTOCOL_NAME).h 
Q932_ROS_FILES=packet-$(PROTOCOL_NAME)-ros.c packet-$(PROTOCOL_NAME)-ros.h 
DISSECTOR_FILES=$(Q932_FILES) $(Q932_ROS_FILES)
Q932_ASN=Addressing-Data-Elements.asn Network-Facility-Extension.asn Network-Protocol-Profile-component.asn Interpretation-component.asn
Q932_ROS_ASN=../ros/Remote-Operations-Information-Objects.asn Facility-Information-Element-Components.asn 

all: generate_dissector

generate_dissector: $(DISSECTOR_FILES)

$(Q932_FILES): ../../tools/asn2wrs.py $(Q932_ASN) packet-$(PROTOCOL_NAME)-template.c packet-$(PROTOCOL_NAME)-template.h $(PROTOCOL_NAME).cnf
	python ../../tools/asn2wrs.py -b -T -X -e -p $(PROTOCOL_NAME) -c $(PROTOCOL_NAME).cnf -s packet-$(PROTOCOL_NAME)-template $(Q932_ASN)

$(Q932_ROS_FILES): ../../tools/asn2wrs.py $(Q932_ROS_ASN) packet-$(PROTOCOL_NAME)-ros-template.c packet-$(PROTOCOL_NAME)-ros-template.h $(PROTOCOL_NAME)-ros.cnf
	python ../../tools/asn2wrs.py -b -T -X -e -p $(PROTOCOL_NAME).ros -c $(PROTOCOL_NAME)-ros.cnf -o $(PROTOCOL_NAME)-ros -s packet-$(PROTOCOL_NAME)-ros-template $(Q932_ROS_ASN)

clean:
	rm -f parsetab.py $(DISSECTOR_FILES)

copy_files: generate_dissector
	cp $(DISSECTOR_FILES) ../../epan/dissectors

=== asn1/rrlp/Makefile ===
# $Id: Makefile 21825 2007-05-18 12:53:55Z kukosa $

DISSECTOR_FILES=packet-rrlp.c
RRLP_ASN=RRLP-Messages.asn RRLP-Components.asn ../gsmmap/MAP-ExtensionDataTypes.asn ../gsmmap/MAP-LCS-DataTypes.asn 

all: generate_dissector

generate_dissector: $(DISSECTOR_FILES)

$(DISSECTOR_FILES): ../../tools/asn2wrs.py $(RRLP_ASN) packet-rrlp-template.c rrlp.cnf
	python ../../tools/asn2wrs.py -p rrlp -c rrlp.cnf -s packet-rrlp-template $(RRLP_ASN)

clean:
	rm -f parsetab.py parsetab.pyc $(DISSECTOR_FILES)

copy_files: generate_dissector
	cp $(DISSECTOR_FILES) ../../epan/dissectors

=== asn1/ulp/Makefile ===
# $Id: Makefile 21778 2007-05-15 08:26:18Z kukosa $

DISSECTOR_FILES=packet-ulp.c

all: generate_dissector

generate_dissector: $(DISSECTOR_FILES)

$(DISSECTOR_FILES): ../../tools/asn2wrs.py ULP.asn SUPL.asn ULP-Components.asn packet-ulp-template.c ulp.cnf
	python ../../tools/asn2wrs.py -p ulp -c ulp.cnf -s packet-ulp-template  ULP.asn SUPL.asn ULP-Components.asn

clean:
	rm -f parsetab.py parsetab.pyc $(DISSECTOR_FILES)

copy_files: generate_dissector
	cp $(DISSECTOR_FILES) ../../epan/dissectors

## wireshark 1.2.7

=== debian/changelog ===
wireshark (1.2.7-1) unstable; urgency=low
  * New upstream release 1.2.7
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.2.7.html
  * fix purging wireshark-common when removing wireshark system group fails
  * fix crash when opening About box with disabled OID resolution
    (Closes: #574086)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 01 Apr 2010 11:11:37 +0100

wireshark (1.2.6-5) unstable; urgency=low

  * disable OID resolution in default configuration (Closes: #568050)

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 02 Mar 2010 19:38:07 +0100

wireshark (1.2.6-4) unstable; urgency=low

  * fix spelling of 'privileges' in README.Debian (Closes: #571258)
  * prevent crash in libsmi (Closes: #567799)
  * describe problem with MIBs in README.Debian

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 17 Feb 2010 15:36:53 +0100

wireshark (1.2.6-3) unstable; urgency=low

  * falling back to setting set-user-id bit if using Linux Capabilities fails
    (Closes: #570193)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 17 Feb 2010 11:29:56 +0100

wireshark (1.2.6-2) unstable; urgency=low

  * build-depend on new libcap-dev instead of libcap2-dev if libcap2 is not
    available (Closes: #568083)
  * update standards-version to 3.8.4
  * drop dpatch patch system
  * use Linux Capabilities for allowing dumpcap to capture packets instead of
    set-user-id bit where possible

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 02 Feb 2010 16:34:59 +0100

wireshark (1.2.6-1) unstable; urgency=high

  * New upstream release 1.2.6
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.2.6.html
    - security fixes
       - Babi discovered several buffer overflows in the LWRES dissector.
         (No assigned CVE number.)
    (Closes: #565744)
  * [Debconf translation updates]
    - Brazilian Portuguese (Rafael Henrique da Silva Correia).
      (Closes: #565306)
  * remove dependency on libsnmp-base
  * suggest snmp-mibs-downloader instead of libsmi2-common

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 15 Jan 2010 21:51:34 +0100

wireshark (1.2.5-1) unstable; urgency=high

  * New upstream release 1.2.5
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.2.5.html
    - security fixes
       - The Daintree SNA file parser could overflow a buffer. 
         (No assigned CVE number.)
       - The SMB and SMB2 dissectors could crash. (No assigned CVE number.)
       - The IPMI dissector could crash on Windows. (No assigned CVE number.)
  * fix FTBS because of missing idl2deb.dbk (Closes: #560553)
  * suggest solutions on missing MIBs popup (Closes: #560727)
  * restrict watch check to stable versions
  * change source package format to 3.0 (quilt)
  * new maintainer is Balint Reczey

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 11 Dec 2009 16:29:01 +0100

wireshark (1.2.4-3) unstable; urgency=low

  * depend on libsnmp-base instead of libsmi2-common (Closes: #557626)
  * libsmi2-common is just suggested by wireshark-common from now
  * build-depend on python-ply

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 23 Nov 2009 10:38:21 +0100

wireshark (1.2.4-2) unstable; urgency=low

  [ Jakub Wilk ]
  * import lex from ply in asn2wrs (Closes: #554613)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 19 Nov 2009 23:29:24 +0100

wireshark (1.2.4-1) unstable; urgency=low

  * New upstream release 1.2.4
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.2.4.html
  [ Jakub Wilk ]
  * make wireshark-dev depend on python-ply to fix asn2wrs (Closes: #554613)

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 17 Nov 2009 15:11:10 +0100

wireshark (1.2.3-1) unstable; urgency=high

  * New upstream release 1.2.3
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.2.3.html
    - security fixes
       - The Paltalk dissector could crash on alignment-sensitive processors.
         (CVE-2009-3549)
       - The DCERPC/NT dissector could crash. (CVE-2009-3550)
       - The SMB dissector could crash. (CVE-2009-3551)
    (Closes: #553583)
  [ Eloy Paris ]
  * added missing libraries and header files to wireshark-dev (Closes: #552025)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 28 Oct 2009 14:35:20 +0100

wireshark (1.2.2-2) unstable; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #547130
  * [Debconf translation updates]
    - German (Helge Kreutzmann).  Closes: #547229
    - Basque (Piarres Beobide).  Closes: #547268
    - Portuguese (Pedro Ribeiro).  Closes: #547381
    - Swedish (Martin Ågren).  Closes: #547383
    - Vietnamese (Clytie Siddall).  Closes: #547800
    - French (Simon Paillard).  Closes: #548340
    - Italian (Luca Monducci).  Closes: #548605
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #548655
    - Spanish (Francisco Javier Cuadrado).  Closes: #548700
    - Czech (Martin Sin).  Closes: #548728
    - Russian (Yuri Kozlov).  Closes: #549086
    - Finnish (Esko Arajärvi).  Closes: #549609

 -- Christian Perrier <bubulle@debian.org>  Thu, 17 Sep 2009 14:06:52 +0200

wireshark (1.2.2-1) unstable; urgency=high

  * New upstream release 1.2.2
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.2.2.html
    - security fixes
       - The GSM A RR dissector could crash. (CVE-2009-3242)
       - The OpcUa dissector could use excessive CPU and memory. (CVE-2009-3241)
       - The TLS dissector could crash on some platforms.
    (Closes: #547704)
  * dropped sigpipe patch as it has been integrated upstream
  * debian/{control,rules}: add and enable hardened build for PIE
    Thanks to Kees Cook <kees@ubuntu.com> for the patch. (Closes: #542736)
  * update standards-version to 3.8.3
  * applied dumpcap patch that was added to source package in 1.0.7-1 
    but was not applied during build



=== debian/control ===
Source: wireshark
Section: net
Priority: optional
Maintainer: Balint Reczey <balint@balintreczey.hu>
Uploaders: Joost Yervante Damad <andete@debian.org>
DM-Upload-Allowed: yes
Standards-Version: 3.8.4
Build-Depends: libgtk2.0-dev (>=2.4.0-0), libpcap0.8-dev, flex, libz-dev, debhelper (>= 6), po-debconf, libtool, python, python-ply, automake1.9, autoconf, autotools-dev, libc-ares-dev, xsltproc, docbook-xsl (>= 1.64.1.0-0), libpcre3-dev, libcap2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | libcap-dev (>= 2.17) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], bison, libgnutls-dev, python-support (>= 0.3), portaudio19-dev, libkrb5-dev, liblua5.1-0-dev, libsmi2-dev, libgeoip-dev, hardening-wrapper
Build-Conflicts: libsnmp4.2-dev, libsnmp-dev
XS-Python-Version: all
Homepage: http://www.wireshark.org/

Package: wireshark-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf, libcap2-bin [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
Recommends: wireshark (>= ${binary:Version}) | tshark (>= ${binary:Version})
Suggests: snmp-mibs-downloader
Replaces: ethereal-common (<< 1.0.0-3)
Conflicts: ethereal-common (<< 1.0.0-3)
Description: network traffic analyzer - common files
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides files common to both wireshark (the GTK+ version)
 and tshark (the console version).

Package: wireshark
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wireshark-common (= ${binary:Version})
Replaces: ethereal (<< 1.0.0-3)
Conflicts: ethereal (<< 1.0.0-3)
Description: network traffic analyzer - GTK+ version
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides the GTK+ version of wireshark.

Package: tshark
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wireshark-common (= ${binary:Version})
Replaces: tethereal (<< 1.0.0-3)
Conflicts: tethereal (<< 1.0.0-3)
Description: network traffic analyzer - console version
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides the console version of wireshark, named
 "tshark".

Package: wireshark-dev
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, omniidl4 (>= 4.0.1-2), libpcap0.8-dev, libtool, libglib2.0-dev, ${python:Depends}, python-ply, snacc, autotools-dev, debhelper, cdbs, automake1.9, autoconf
Replaces: ethereal-dev (<< 1.0.0-3)
Conflicts: ethereal-dev (<< 1.0.0-3)
XB-Python-Version: ${python:Versions}
Description: network traffic analyzer - development tools
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides idl2wrs and other files necessary for developing
 new packet dissectors.

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1

DB2MAN=/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl


DEB_HOST_ARCH_CPU       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_BUILD_ARCH_CPU      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)

PYTHON_VERSION=python2.4

CFLAGS=-g -O2

# Enable IEEE-conformant floating point math on alphas (not the default)
ifeq (alpha,$(DEB_HOST_ARCH_CPU))
  CFLAGS += -mieee
endif

idl2deb.1: idl2deb.dbk
	xsltproc --nonet --novalid $(DB2MAN) $<

asn2deb.1: asn2deb.dbk
	xsltproc --nonet --novalid $(DB2MAN) $<


CONFIGURE_FLAGS=--prefix=/usr --sysconfdir=/usr/share --datadir=/usr/share --disable-static --disable-ssl --without-ucdsnmp --enable-gtk2 --libdir=/usr/lib/wireshark --enable-warnings-as-errors=no --with-plugins=/usr/lib/wireshark/plugins --with-lua=/usr/

configure: configure-stamp
configure-stamp:
	dh_testdir

	libtoolize --force --copy
	-mkdir aclocal-missing
	./autogen.sh
	CFLAGS="$(CFLAGS)" ./configure $(CONFIGURE_FLAGS)

	touch configure-stamp

build: build-stamp idl2deb.1 asn2deb.1
build-stamp: configure-stamp
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) distclean 
	rm -f rdps wireshark.1 tshark.1 idl2deb.1 wireshark-filter.4 asn2deb.1 dumpcap.1 rawshark.1
	rm -f conftest conftest.c
	rm -f config.guess config.sub config.log
	rm -f config.h.in config.h configure

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the files into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	rm -rf $(CURDIR)/debian/tmp/usr/share/wireshark/COPYING
	cp debian/license-text-about-dialog $(CURDIR)/debian/tmp/usr/share/wireshark/ABOUT.GPL
	mkdir -p $(CURDIR)/debian/tmp/usr/share/applications/
	cp wireshark.desktop $(CURDIR)/debian/tmp/usr/share/applications/
	cp tools/idl2wrs.sh $(CURDIR)/debian/tmp/usr/bin/
	mkdir -p $(CURDIR)/debian/tmp/usr/share/pixmaps/
	cp image/hi48-app-wireshark.png $(CURDIR)/debian/tmp/usr/share/pixmaps/
	cp image/wsicon32.xpm $(CURDIR)/debian/tmp/usr/share/pixmaps/
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(PYTHON_VERSION)/site-packages/
	install -m 755 $(CURDIR)/idl2deb $(CURDIR)/debian/tmp/usr/bin/
	install -m 755 $(CURDIR)/asn2deb $(CURDIR)/debian/tmp/usr/bin/
	mkdir -p $(CURDIR)/debian/tmp/usr/share/lintian/overrides/
	install -m 644 $(CURDIR)/tshark.lintian-overrides \
		$(CURDIR)/debian/tmp/usr/share/lintian/overrides/tshark
	install -m 644 $(CURDIR)/wireshark-common.lintian-overrides \
		$(CURDIR)/debian/tmp/usr/share/lintian/overrides/wireshark-common
	mkdir -p $(CURDIR)/debian/tmp/etc/wireshark/
	mv $(CURDIR)/debian/tmp/usr/share/wireshark/init.lua \
		$(CURDIR)/debian/tmp/etc/wireshark/
	ln -s /etc/wireshark/init.lua \
		$(CURDIR)/debian/tmp/usr/share/wireshark/init.lua
	cp $(CURDIR)/tools/wireshark_be.py $(CURDIR)/tools/wireshark_gen.py \
		$(CURDIR)/tools/asn2wrs.py $(CURDIR)/debian/tmp/usr/lib/$(PYTHON_VERSION)/site-packages/
	mkdir -p $(CURDIR)/debian/tmp/usr/include/wireshark/
	for F in `cat debian/wireshark-dev.header-files`; do \
		cp --parents $$F $(CURDIR)/debian/tmp/usr/include/wireshark; \
	done
	# .a is no longer built; why was is used ?
	#cp $(CURDIR)/wiretap/libwiretap.a $(CURDIR)/debian/tmp/usr/lib/
	-rm -rf $(CURDIR)/debian/tmp/usr/man
	dh_installman

	dh_movefiles
	dh_pysupport
	dh_python
	dh_installdocs
	-rm debian/menu   # from upstream debian/ package
	dh_installmenu
	dh_installchangelogs NEWS

# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

check: install
	# check all necessary headers are included
	gcc -c debian/headers-check.c `pkg-config --cflags glib-2.0` -Idebian/wireshark-dev/usr/include/ -Idebian/wireshark-dev/usr/include/wireshark/ -o /dev/null

# Build architecture-dependent files here.
binary-arch: install check
	dh_strip
	dh_compress
	dh_fixperms

	dh_installdebconf
	dh_installdeb
	LD_LIBRARY_PATH=/usr/lib/wireshark/ dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean install check binary-indep binary-arch binary

## wireshark 1.2.11

=== debian/changelog ===
wireshark (1.2.11-6+squeeze5) stable-security; urgency=high

  * security fixes from Wireshark 1.4.10:
    - Huzaifa Sidhpurwala of Red Hat Security Response Team discovered a
      buffer overflow in the ERF file reader. (CVE-2011-4102)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 03 Nov 2011 22:29:02 +0100

wireshark (1.2.11-6+squeeze4) stable-security; urgency=low

  * Rebuild to bypass dak weirdness

 -- Moritz Muehlenhoff <jmm@pisco>  Sun, 16 Oct 2011 19:27:20 +0000

wireshark (1.2.11-6+squeeze3) stable-security; urgency=low

  * CVE-2011-3360, update by Balint

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 16 Oct 2011 19:04:35 +0000

wireshark (1.2.11-6+squeeze2) stable-security; urgency=high

  * security fixes from Wireshark 1.2.16:
    - The X.509if dissector could crash. (CVE-2011-1590)

  * security fixes from Wireshark 1.2.17 (Closes: #630159):
    - Huzaifa Sidhpurwala of the Red Hat Security Response Team discovered
      that a corrupted Visual Networks file could crash Wireshark.
      (CVE-2011-2175)
    - David Maciejak of Fortinet's FortiGuard Labs discovered that
      malformed compressed capture data could crash Wireshark.
      (CVE-2011-2174)
    - Huzaifa Sidhpurwala of the Red Hat Security Response Team discovered
      that a corrupted snoop file could crash Wireshark.
      (CVE-2011-1959)
    - Huzaifa Sidhpurwala of the Red Hat Security Response Team discovered
      that a corrupted Diameter dictionary file could crash Wireshark.
      (CVE-2011-1958)
    - Large/infinite loop in the DICOM dissector.
      (CVE-2011-1957)

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 12 Jun 2011 21:23:05 +0200

wireshark (1.2.11-6+squeeze1) stable-security; urgency=high

  * security fixes from Wireshark 1.2.15:
    - Huzaifa Sidhpurwala of the Red Hat Security Response Team discovered
      that Wireshark could free an uninitialized pointer while reading a
      malformed pcap-ng file. (CVE-2011-0538) (Closes: #613202)
    - Huzaifa Sidhpurwala of the Red Hat Security Response Team discovered
      that a large packet length in a pcap-ng file could crash Wireshark
    - Wireshark could overflow a buffer while reading a Nokia DCT3 trace file. 
      (CVE-2011-0713)
    - joernchen of Phenoelit discovered that the LDAP and SMB dissectors
      could overflow the stack.
    - Xiaopeng Zhang of Fortinet's Fortiguard Labs discovered that large LDAP
      Filter strings can consume excessive amounts of memory.

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 01 Mar 2011 01:17:41 +0100

wireshark (1.2.11-6) unstable; urgency=high

  * security fixes from Wireshark 1.2.14:
    - FRAsse discovered that the MAC-LTE dissector could overflow a buffer.
      (No assigned CVE number.)
    - FRAsse discovered that the ENTTEC dissector could overflow a buffer.
      (CVE-2010-4538) (Closes: #608990)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 13 Jan 2011 01:58:46 +0100

wireshark (1.2.11-5) unstable; urgency=low

  * raise Python 2.6 compatible exceptions (Closes: #585370)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 24 Dec 2010 15:13:09 +0100

wireshark (1.2.11-4) unstable; urgency=high

  * security fixes from Wireshark 1.2.13:
    - Nephi Johnson of BreakingPoint discovered that the LDSS dissector
      could overflow a buffer. (No assigned CVE number.)
  * stability fix from Wireshark 1.2.13:
    - fix crash when running tshark -x without -V (Closes: #600314)

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 21 Nov 2010 20:26:36 +0100

wireshark (1.2.11-3) unstable; urgency=high

  * security fixes from Wireshark 1.2.12:
    - The Penetration Test Team of NCNIPC (China) discovered that the
      ASN.1 BER dissector was susceptible to a stack overflow
      (CVE-2010-3445)
    - fix crash in RPC dissector

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 15 Oct 2010 22:46:22 +0200

wireshark (1.2.11-2) unstable; urgency=low

  * 25_fix-libsmi-workaround.patch:
    Fix the libsmi workaround by adding missing brackets.
  * backport fix for IP header checksum calculation regression introduced
    in 1.2.10
  * [Debconf translation updates]
    - Vietnamese (Clytie Siddall). (Closes: #598498)

  [ Daniel T Chen ]
  * 22_lp606063-fix-assertion-capture_start.patch:
    Handle event handler being invoked recursively.  Fix backported from
    upstream SVN r33906.  Thanks, Gregor Beck!
    https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5126
    (LP: #606063)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 30 Sep 2010 15:24:29 +0200

wireshark (1.2.11-1) unstable; urgency=high

  * New upstream release 1.2.10
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.2.10.html
      (Closes: #597703)
    - security fixes
       - The RTSP dissector could crash. (No assigned CVE number.)
  * [Debconf translation updates]
    - Basque (Iñaki Larrañaga Murgoitio).

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 24 Sep 2010 14:31:19 +0200

wireshark (1.2.10-2) unstable; urgency=low

  * [Debconf translation updates]
    - Japanese (Hideki Yamane (Debian-JP)).  (Closes: #591563)
    - French (Simon Paillard).  (Closes: #593214)
    - Danish (Joe Hansen). (Closes: #594738)
    - Brazilian Portuguese (Adriano Rafael Gomes). (Closes: #594780)
    - Basque (Iñaki Larrañaga Murgoitio).
  * debian/control: updated policy to 3.9.1 (no changes needed)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 04 Aug 2010 13:24:07 +0200

wireshark (1.2.10-1) unstable; urgency=high

  * New upstream release 1.2.10
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.2.10.html
    - security fixes
       - The SigComp Universal Decompressor Virtual Machine could overrun a
         buffer. (CVE-2010-2287)
       - Due to a regression the ASN.1 BER dissector could exhaust stack
         memory. (CVE-2010-2284)
       - The GSM A RR dissector could crash. (No assigned CVE number.)
       - The IPMI dissector could go into an infinite loop.


=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Balint Reczey <balint@balintreczey.hu>
 Uploaders: Joost Yervante Damad <andete@debian.org>
 DM-Upload-Allowed: yes
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Build-Depends: libgtk2.0-dev (>=2.4.0-0), libpcap0.8-dev, flex, libz-dev, debhelper (>= 6), po-debconf, libtool, python, python-ply, automake1.9, autoconf, autotools-dev, libc-ares-dev, xsltproc, docbook-xsl (>= 1.64.1.0-0), libpcre3-dev, libcap2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | libcap-dev (>= 2.17) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], bison, libgnutls-dev, python-support (>= 0.3), portaudio19-dev, libkrb5-dev, liblua5.1-0-dev, libsmi2-dev, libgeoip-dev, hardening-wrapper
 Build-Conflicts: libsnmp4.2-dev, libsnmp-dev
 XS-Python-Version: all
@@ -64,3 +64,16 @@
  .
  This package provides idl2wrs and other files necessary for developing
  new packet dissectors.
+
+Package: wireshark-dbg
+Priority: extra
+Architecture: any
+Section: debug
+Depends:  ${misc:Depends}, wireshark-common (= ${binary:Version}) | wireshark (= ${binary:Version}) | tshark (= ${binary:Version})
+Description: network traffic analyzer - debug symbols
+ Wireshark is a network "sniffer" - a tool that captures and analyzes
+ packets off the wire. Wireshark can decode too many protocols to list
+ here.
+ .
+ This package contains stripped debugging symbols for all Wireshark
+ programs and libraries.

=== debian/watch ===
version=3
http://www.wireshark.org/download/src/all-versions/wireshark-([0-9]+\.[0-9]*[24680]\.[0-9]+)\.tar\.gz

## wireshark 1.4.2

=== debian/changelog ===
wireshark (1.4.2-1) experimental; urgency=low

  * New upstream release 1.4.2
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.4.2.html
    - security fixes
       - Nephi Johnson of BreakingPoint discovered that the LDSS dissector
         could overflow a buffer. (No assigned CVE number.)
       - The ZigBee ZCL dissector could go into an infinite loop.
         (No assigned CVE number.)
  * drop 05_fix-display-filter-update-when-changing-profile.patch
    patch since it has been integrated upstream

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 20 Nov 2010 18:41:41 +0100

wireshark (1.4.1-1) experimental; urgency=high

  * New upstream release 1.4.1
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.4.1.html
    - add support for sll.ltype hooks (Closes: #594390)
    - security fixes
       - The Penetration Test Team of NCNIPC (China) discovered that the
         ASN.1 BER dissector was susceptible to a stack overflow
         (CVE-2010-3445)
  * pick fix for improperly backported display filter update when changing
    profile
  * [Debconf translation updates]
    - Basque (Iñaki Larrañaga Murgoitio).
    - Vietnamese (Clytie Siddall). (Closes: #598498)
  * make wireshark-dev depend on libwireshark-dev and libwiretap-dev
    (Closes: #596108)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 03 Sep 2010 13:20:33 +0200

wireshark (1.4.0-1) experimental; urgency=low

  [ Balint Reczey ]
  * New upstream release 1.4.0
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.4.0.html
  * drop 26_offline-documentation.patch patch since it has been integrated
    upstream
  * [Debconf translation updates]
    - French (Simon Paillard). (Closes: #593214)
    - Danish (Joe Hansen). (Closes: #594738)
    - Brazilian Portuguese (Adriano Rafael Gomes). (Closes: #594780)
    - Basque (Iñaki Larrañaga Murgoitio).
  * changed versioned conflicts to conflict with << 1.4.0~rc2-1 versions
    instead of conflicting with <= 1.2.7-1 ones to allow smooth upgrades
    from versions between 1.2.7-1 and 1.4.0~rc2-1 (Closes: #593875)
  * debian/control: updated policy to 3.9.1 (Eloy Paris removed the .la
    files to become compliant)

  [ Eloy Paris ]
  * Removed /usr/lib/libwiretap.la from the libwiretap-dev package and
    /usr/lib/libwireshark.la and /usr/lib/libwsutil.la from the
    libwireshark-dev package since external programs linking against
    libwiretap and libwireshark do not need them. Refer to the Debian
    Policy Manual 10.2 ("Libraries") for further information.

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 01 Sep 2010 23:52:27 +0200

wireshark (1.4.0~rc2-2) experimental; urgency=low

  * New wireshark-doc package for shipping offline documentation
    (Closes: #68746)
  * make libwireshark0-data suggest snmp-mibs-downloader instead of
    wireshark-common
  * [Debconf translation updates]
    - Japanese (Hideki Yamane (Debian-JP)).  (Closes: #591563)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 30 Jul 2010 16:34:05 +0200

wireshark (1.4.0~rc2-1) experimental; urgency=low

  [ Eloy Paris ]
  * New upstream release.
    - Make tshark list interfaces for non-root user (Closes: #582298)
    - Fix duplicate inconsistent attributes in RADIUS dictionary.
      (Closes: #570132)
  * New libwireshark0, libwireshark-dev, libwiretap0, libwiretap-dev
    packages that reorganize libraries, header files, etc. as follows:
    - Moved libwireshark.so.* from package wireshark-common to package
      libwireshark0.
    - Moved libwsutil.so.* from package wireshark-common to package
      libwireshark0.
    - Moved libwiretap.so.* from package wireshark-common to package
      libwiretap0.
    - Moved header files, .so symlinks, and static libraries from package
      wireshark-dev to libwireshark-dev and libwiretap-dev, depending on
      the case.
    - Moved plugins in /usr/lib/wireshark/ from package wireshark-common
      to package libwireshark0.
    This provides more package granularity and allows easier use of
    libraries provided by the Wireshark project by applications that
    are not maintained by the Wireshark project (package kismet currently
    appears to use services offered by libwiretap, and upcoming package
    netexpect will use libwireshark services [see ITP bug #587056]).
  * Dropped 23_lintian-overrides.patch since we no longer have binaries
    with RPATHs because after the library separation work mentioned above
    our libraries are in /usr/lib and not in /usr/lib/wireshark, eliminating
    the need for RPATHs. Also tweaked debian/rules, debian/tshark.files,
    and debian/wireshark-common.files so the lintian overrides
    are not installed.
  * Dropped the following patches since they have been integrated
    upstream:
    - 05_libsnmp_path.patch
    - 07_mib_tip.patch
    - 11_disable_oid_resolution_by_default.patch
    - 12_fix_about_crash.patch
    - 21_dumpcap.patch

  [ Balint Reczey ]
  * Dropped the following patches since they have been integrated
    upstream:
    - 10_prevent_libsmi_crash.patch
    - 04_asn2wrs_ply.patch
    - 06_giop-buffer.patch
  * moved platform independent files needed by libwireshark0 to 
    new libwireshark0-data package from wireshark-common
  * New upstream release 1.4.0~rc2

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 30 Jul 2010 15:27:21 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,15 @@
 Uploaders: Joost Yervante Damad <andete@debian.org>
 DM-Upload-Allowed: yes
 Standards-Version: 3.9.1
-Build-Depends: libgtk2.0-dev (>=2.4.0-0), libpcap0.8-dev, flex, libz-dev, debhelper (>= 6), po-debconf, libtool, python, python-ply, automake1.9, autoconf, autotools-dev, libc-ares-dev, xsltproc, docbook-xsl (>= 1.64.1.0-0), libpcre3-dev, libcap2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | libcap-dev (>= 2.17) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], bison, libgnutls-dev, python-support (>= 0.3), portaudio19-dev, libkrb5-dev, liblua5.1-0-dev, libsmi2-dev, libgeoip-dev, hardening-wrapper
+Build-Depends: libgtk2.0-dev (>=2.4.0-0), libpcap0.8-dev, flex, libz-dev, debhelper (>= 6), po-debconf, libtool, python, python-ply, automake1.9, autoconf, autotools-dev, libc-ares-dev, xsltproc, docbook-xsl (>= 1.64.1.0-0), libxml2-utils, libpcre3-dev, libcap2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | libcap-dev (>= 2.17) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], bison, libgnutls-dev, python-support (>= 0.3), portaudio19-dev, libkrb5-dev, liblua5.1-0-dev, libsmi2-dev, libgeoip-dev, hardening-wrapper
 Build-Conflicts: libsnmp4.2-dev, libsnmp-dev
 XS-Python-Version: all
 Homepage: http://www.wireshark.org/
 
 Package: wireshark-common
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, debconf, libcap2-bin [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
+Depends: ${shlibs:Depends}, ${misc:Depends}, libwireshark0 (>= ${binary:Version}), libwiretap0 (>= ${binary:Version}), debconf, libcap2-bin [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
 Recommends: wireshark (>= ${binary:Version}) | tshark (>= ${binary:Version})
-Suggests: snmp-mibs-downloader
 Replaces: ethereal-common (<< 1.0.0-3)
 Conflicts: ethereal-common (<< 1.0.0-3)
 Description: network traffic analyzer - common files
@@ -53,7 +52,7 @@
 Package: wireshark-dev
 Architecture: any
 Section: devel
-Depends: ${shlibs:Depends}, ${misc:Depends}, omniidl4 (>= 4.0.1-2), libpcap0.8-dev, libtool, libglib2.0-dev, ${python:Depends}, python-ply, snacc, autotools-dev, debhelper, cdbs, automake1.9, autoconf
+Depends: ${shlibs:Depends}, ${misc:Depends}, omniidl4 (>= 4.0.1-2), libpcap0.8-dev, libtool, libglib2.0-dev, ${python:Depends}, python-ply, snacc, autotools-dev, debhelper, cdbs, automake1.9, autoconf, libwireshark-dev, libwiretap-dev
 Replaces: ethereal-dev (<< 1.0.0-3)
 Conflicts: ethereal-dev (<< 1.0.0-3)
 XB-Python-Version: ${python:Versions}
@@ -77,3 +76,119 @@
  .
  This package contains stripped debugging symbols for all Wireshark
  programs and libraries.
+
+Package: wireshark-doc
+Priority: extra
+Architecture: all
+Section: doc
+Depends:  ${misc:Depends}
+Description: network traffic analyzer - documentation
+ Wireshark is a network "sniffer" - a tool that captures and analyzes
+ packets off the wire. Wireshark can decode too many protocols to list
+ here.
+ .
+ This package contains Wireshark User's guide, Wireshark Developer's Guide
+ and the Lua Reference.
+
+Package: libwireshark0
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libwireshark-data (>= ${source:Version})
+Suggests: wireshark-doc (>= ${source:Version})
+Conflicts: wireshark-common (<< 1.4.0~rc2-1)
+Replaces: wireshark-common (<< 1.4.0~rc2-1)
+Description: a network packet dissection library -- shared library
+ The libwireshark library provides the network packet dissection services 
+ developed by the Wireshark project.
+
+Package: libwireshark-data
+Section: libs
+Architecture: all
+Depends: ${misc:Depends}
+Conflicts: wireshark-common (<< 1.4.0~rc2-1)
+Replaces: wireshark-common (<< 1.4.0~rc2-1)
+Suggests: snmp-mibs-downloader
+Description: a network packet dissection library -- data files
+ The libwireshark library provides the network packet dissection services 
+ developed by the Wireshark project.
+ .
+ This package contains the platform independent files.
+
+Package: libwireshark-dev
+Section: libdevel
+Depends: ${shlibs:Depends}, ${misc:Depends}, libwireshark0 (= ${binary:Version})
+Conflicts: wireshark-dev (<< 1.4.0~rc2-1)
+Replaces: wireshark-dev (<< 1.4.0~rc2-1)
+Architecture: any
+Description: a network packet dissection library -- development files
+ The "libwireshark" library provides the network packet dissection services
+ developed by the Wireshark project.
+ .
+ This package contains the static library and the C header files that are
+ needed for applications to use libwireshark services.
+
+Package: libwiretap0
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: wireshark-common (<< 1.4.0~rc2-1)
+Description: a network packet capture library -- shared library
+ Wiretap, part of the Wireshark project, is a library that allows to
+ read and write several packet capture file formats.
+ .
+ Supported formats are: 
+  * Libpcap
+  * Sniffer
+  * LANalyzer
+  * Network Monitor
+  * "snoop"
+  * "iptrace"
+  * Sniffer Basic (NetXRay)/Windows Sniffer Pro
+  * RADCOM WAN/LAN Analyzers
+  * Lucent/Ascend access products
+  * HP-UX nettl
+  * Toshiba ISDN Router
+  * ISDN4BSD "i4btrace" utility
+  * Cisco Secure Intrustion Detection System iplogging facility
+  * pppd logs (pppdump-format files)
+  * VMS TCPTRACE
+  * DBS Etherwatch (text format)
+  * Catapult DCT2000 (.out files)
+ .
+ Wiretap's shortcomings are: no filter capability and no support for packet
+ capture.
+
+Package: libwiretap-dev
+Section: libdevel
+Depends: ${shlibs:Depends}, ${misc:Depends}, libwiretap0 (= ${binary:Version})
+Conflicts: wireshark-dev (<< 1.4.0~rc2-1)
+Replaces: wireshark-dev (<< 1.4.0~rc2-1)
+Architecture: any
+Description: a network packet capture library -- development files
+ Wiretap, part of the Wireshark project, is a library that allows to
+ read and write several packet capture file formats.
+ .
+ Supported formats are: 
+  * Libpcap
+  * Sniffer
+  * LANalyzer
+  * Network Monitor
+  * "snoop"
+  * "iptrace"
+  * Sniffer Basic (NetXRay)/Windows Sniffer Pro
+  * RADCOM WAN/LAN Analyzers
+  * Lucent/Ascend access products
+  * HP-UX nettl
+  * Toshiba ISDN Router
+  * ISDN4BSD "i4btrace" utility
+  * Cisco Secure Intrustion Detection System iplogging facility
+  * pppd logs (pppdump-format files)
+  * VMS TCPTRACE
+  * DBS Etherwatch (text format)
+  * Catapult DCT2000 (.out files)
+ .
+ Wiretap's shortcomings are: no filter capability and no support for packet
+ capture.
+ .
+ This package contains the static library and the C header files.
+

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	xsltproc --nonet --novalid $(DB2MAN) $<
 
 
-CONFIGURE_FLAGS=--prefix=/usr --sysconfdir=/usr/share --datadir=/usr/share --disable-static --disable-ssl --without-ucdsnmp --enable-gtk2 --libdir=/usr/lib/wireshark --enable-warnings-as-errors=no --with-plugins=/usr/lib/wireshark/plugins --with-lua=/usr/
+CONFIGURE_FLAGS=--prefix=/usr --sysconfdir=/usr/share --datadir=/usr/share --disable-static --disable-ssl --without-ucdsnmp --enable-gtk2 --libdir=/usr/lib --enable-warnings-as-errors=no --with-plugins=/usr/lib/wireshark/libwireshark0/plugins --with-lua=/usr/ --docdir=/usr/share/doc/wireshark-doc/
 
 configure: configure-stamp
 configure-stamp:
@@ -45,6 +45,7 @@
 build: build-stamp idl2deb.1 asn2deb.1
 build-stamp: configure-stamp
 	$(MAKE)
+	$(MAKE) -C docbook wsug_html_chunked wsdg_html_chunked
 
 	touch build-stamp
 
@@ -80,20 +81,16 @@
 	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(PYTHON_VERSION)/site-packages/
 	install -m 755 $(CURDIR)/idl2deb $(CURDIR)/debian/tmp/usr/bin/
 	install -m 755 $(CURDIR)/asn2deb $(CURDIR)/debian/tmp/usr/bin/
-	mkdir -p $(CURDIR)/debian/tmp/usr/share/lintian/overrides/
-	install -m 644 $(CURDIR)/tshark.lintian-overrides \
-		$(CURDIR)/debian/tmp/usr/share/lintian/overrides/tshark
-	install -m 644 $(CURDIR)/wireshark-common.lintian-overrides \
-		$(CURDIR)/debian/tmp/usr/share/lintian/overrides/wireshark-common
 	mkdir -p $(CURDIR)/debian/tmp/etc/wireshark/
 	mv $(CURDIR)/debian/tmp/usr/share/wireshark/init.lua \
 		$(CURDIR)/debian/tmp/etc/wireshark/
 	ln -s /etc/wireshark/init.lua \
 		$(CURDIR)/debian/tmp/usr/share/wireshark/init.lua
-	cp $(CURDIR)/tools/wireshark_be.py $(CURDIR)/tools/wireshark_gen.py \
-		$(CURDIR)/tools/asn2wrs.py $(CURDIR)/debian/tmp/usr/lib/$(PYTHON_VERSION)/site-packages/
+	install -m 644 $(CURDIR)/tools/wireshark_be.py $(CURDIR)/tools/wireshark_gen.py \
+		$(CURDIR)/debian/tmp/usr/lib/$(PYTHON_VERSION)/site-packages/
+	install	-m 755 $(CURDIR)/tools/asn2wrs.py $(CURDIR)/debian/tmp/usr/lib/$(PYTHON_VERSION)/site-packages/
 	mkdir -p $(CURDIR)/debian/tmp/usr/include/wireshark/
-	for F in `cat debian/wireshark-dev.header-files`; do \
+	for F in `cat debian/libwireshark-dev.header-files debian/libwiretap-dev.header-files`; do \
 		cp --parents $$F $(CURDIR)/debian/tmp/usr/include/wireshark; \
 	done
 	# .a is no longer built; why was is used ?
@@ -103,9 +100,7 @@
 
 	dh_movefiles
 	dh_pysupport
-	dh_python
 	dh_installdocs
-	-rm debian/menu   # from upstream debian/ package
 	dh_installmenu
 	dh_installchangelogs NEWS
 
@@ -115,17 +110,18 @@
 
 check: install
 	# check all necessary headers are included
-	gcc -c debian/headers-check.c `pkg-config --cflags glib-2.0` -Idebian/wireshark-dev/usr/include/ -Idebian/wireshark-dev/usr/include/wireshark/ -o /dev/null
+	gcc -c debian/headers-check.c `pkg-config --cflags glib-2.0` -Idebian/libwireshark-dev/usr/include -Idebian/libwireshark-dev/usr/include/wireshark -Idebian/libwiretap-dev/usr/include/wireshark -o /dev/null
 
 # Build architecture-dependent files here.
 binary-arch: install check
-	dh_strip
+	dh_strip --dbg-package=wireshark-dbg
 	dh_compress
 	dh_fixperms
-
+	dh_makeshlibs
+	rm -f debian/wireshark-common.shlibs
 	dh_installdebconf
 	dh_installdeb
-	LD_LIBRARY_PATH=/usr/lib/wireshark/ dh_shlibdeps
+	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
